REM ============================================================
REM FILE: Compile.bat
REM DESC: This File will Compile the Applet
REM ============================================================

REM ------------------------------------------------------------
REM SET environment variables.
REM ------------------------------------------------------------

SET CLASSPATH=

REM ------------------------------------------------------------
REM CREATE CLASS Directories
REM ------------------------------------------------------------

MKDIR cmn 
MKDIR gui
MKDIR math

MKDIR kgs
MKDIR kgs\gui
MKDIR kgs\io

MKDIR las 
MKDIR las\gui

MKDIR las3 
MKDIR las3\gui
MKDIR las3\io

MKDIR dst 

MKDIR event
MKDIR event\gui
MKDIR event\io
MKDIR event\math

MKDIR lith
MKDIR lith\math

MKDIR lith\texture

MKDIR lith\lithology
MKDIR lith\lithology\io

MKDIR lith\rock

MKDIR horizon
MKDIR horizon\gui
MKDIR horizon\io

MKDIR horizon\bio

MKDIR horizon\regions
MKDIR horizon\regions\io

MKDIR horizon\strat
MKDIR horizon\strat\gui
MKDIR horizon\strat\plot
MKDIR horizon\strat\io

MKDIR horizon\seq
MKDIR horizon\seq\gui

MKDIR horizon\env
MKDIR horizon\env\gui

MKDIR brine

MKDIR rock
MKDIR rock\gui
MKDIR rock\io

MKDIR rock\sedimentary

MKDIR rock\fossil

MKDIR rock\color

MKDIR rock\phi

MKDIR mask

MKDIR parse

MKDIR pfeffer
MKDIR pfeffer\math

MKDIR ss

MKDIR quake
MKDIR quake\gui
MKDIR quake\io
MKDIR quake\math

MKDIR iqstrat
MKDIR iqstrat\gui
MKDIR iqstrat\io

MKDIR util
MKDIR xml

REM ------------------------------------------------------------
REM COPY the Source Code to the CLASS Directories
REM ------------------------------------------------------------

COPY src\*.java .
COPY src\cmn\*.java cmn
COPY src\gui\*.java gui
COPY src\math\*.java math

COPY src\kgs\*.java kgs
COPY src\kgs\gui\*.java kgs\gui
COPY src\kgs\io\*.java kgs\io

COPY src\las\*.java las
COPY src\las\gui\*.java las\gui

COPY src\las3\*.java las3
COPY src\las3\gui\*.java las3\gui
COPY src\las3\io\*.java las3\io

COPY src\dst\*.java dst

COPY src\event\*.java event
COPY src\event\gui\*.java event\gui
COPY src\event\io\*.java event\io
COPY src\event\math\*.java event\math

COPY src\lith\*.java lith
COPY src\lith\math\*.java lith\math

COPY src\lith\texture\*.java lith\texture

COPY src\lith\lithology\*.java lith\lithology
COPY src\lith\lithology\io\*.java lith\lithology\io

COPY src\lith\rock\*.java lith\rock

COPY src\horizon\*.java horizon
COPY src\horizon\gui\*.java horizon\gui
COPY src\horizon\io\*.java horizon\io

COPY src\horizon\bio\*.java horizon\bio

COPY src\horizon\regions\*.java horizon\regions
COPY src\horizon\regions\io\*.java horizon\regions\io

COPY src\horizon\strat\*.java horizon\strat
COPY src\horizon\strat\gui\*.java horizon\strat\gui
COPY src\horizon\strat\plot\*.java horizon\strat\plot
COPY src\horizon\strat\io\*.java horizon\strat\io

COPY src\horizon\seq\*.java horizon\seq
COPY src\horizon\seq\gui\*.java horizon\seq\gui

COPY src\horizon\env\*.java horizon\env
COPY src\horizon\env\gui\*.java horizon\env\gui

COPY src\brine\*.java brine

COPY src\rock\*.java rock
COPY src\rock\gui\*.java rock\gui
COPY src\rock\io\*.java rock\io

COPY src\rock\sedimentary\*.java rock\sedimentary

COPY src\rock\fossil\*.java rock\fossil

COPY src\rock\color\*.java rock\color

COPY src\rock\phi\*.java rock\phi

COPY src\mask\*.java mask

COPY src\parse\*.java parse

COPY src\pfeffer\*.java pfeffer
COPY src\pfeffer\math\*.java pfeffer\math

COPY src\ss\*.java ss

COPY src\quake\*.java quake
COPY src\quake\gui\*.java quake\gui
COPY src\quake\io\*.java quake\io
COPY src\quake\math\*.java quake\math

COPY src\iqstrat\*.java iqstrat
COPY src\iqstrat\gui\*.java iqstrat\gui
COPY src\iqstrat\io\*.java iqstrat\io

COPY src\util\*.java util
COPY src\xml\*.java xml

REM ------------------------------------------------------------
REM COMPILE Simple LAS Plot
REM ------------------------------------------------------------

C:\jdk1.7.0_25\bin\javac -Xlint:deprecation LoQuake.java

REM ------------------------------------------------------------
REM REMOVE Source Code from the CLASS Directories
REM ------------------------------------------------------------

DEL *.java
DEL cmn\*.java
DEL gui\*.java
DEL math\*.java

DEL kgs\*.java
DEL kgs\gui\*.java
DEL kgs\io\*.java

DEL las\*.java
DEL las\gui\*.java

DEL las3\*.java
DEL las3\gui\*.java
DEL las3\io\*.java

DEL dst\*.java

DEL event\*.java
DEL event\gui\*.java
DEL event\io\*.java
DEL event\math\*.java

DEL lith\*.java
DEL lith\math\*.java

DEL lith\texture\*.java

DEL lith\lithology\*.java
DEL lith\lithology\io\*.java

DEL lith\rock\*.java

DEL horizon\*.java
DEL horizon\gui\*.java
DEL horizon\io\*.java

DEL horizon\bio\*.java

DEL horizon\regions\*.java
DEL horizon\regions\io\*.java

DEL horizon\strat\*.java
DEL horizon\strat\gui\*.java
DEL horizon\strat\plot\*.java
DEL horizon\strat\io\*.java

DEL horizon\seq\*.java
DEL horizon\seq\gui\*.java

DEL horizon\env\*.java
DEL horizon\env\gui\*.java

DEL brine\*.java

DEL rock\*.java
DEL rock\gui\*.java
DEL rock\io\*.java

DEL rock\sedimentary\*.java

DEL rock\fossil\*.java

DEL rock\color\*.java

DEL rock\phi\*.java

DEL mask\*.java

DEL parse\*.java

DEL pfeffer\*.java
DEL pfeffer\math\*.java

DEL ss\*.java

DEL quake\*.java
DEL quake\gui\*.java
DEL quake\io\*.java
DEL quake\math\*.java

DEL iqstrat\*.java
DEL iqstrat\gui\*.java
DEL iqstrat\io\*.java

DEL util\*.java
DEL xml\*.java

REM ------------------------------------------------------------
REM REMOVE the old LAS Jar File
REM BUILD JAR File for the LAS Plot
REM ------------------------------------------------------------

DEL LoQuake.txt

C:\jdk1.7.0_25\bin\jar cvfm LoQuake.jar Manifest.txt *.class cmn gui math kgs las las3 dst event lith horizon mask parse iqstrat brine rock ss pfeffer quake util xml images
C:\jdk1.7.0_25\bin\jar tvf LoQuake.jar > LoQuake.txt

MOVE LoQuake.jar lib

REM ------------------------------------------------------------
REM CLEAN UP
REM ------------------------------------------------------------

DEL cmn /q
DEL gui /q
DEL math /q

DEL kgs /q
DEL kgs\gui /q
DEL kgs\io /q

DEL las /q
DEL las\gui /q

DEL las3 /q
DEL las3\gui /q
DEL las3\io /q

DEL dst /q

DEL event /q
DEL event\gui /q
DEL event\io /q
DEL event\math /q

DEL lith /q
DEL lith\math /q

DEL lith\texture /q

DEL lith\lithology /q
DEL lith\lithology\io /q

DEL lith\rock /q

DEL horizon /q
DEL horizon\gui /q
DEL horizon\io /q

DEL horizon\bio /q

DEL horizon\regions /q
DEL horizon\regions\io /q

DEL horizon\strat /q
DEL horizon\strat\gui /q
DEL horizon\strat\plot /q
DEL horizon\strat\io /q

DEL horizon\seq /q
DEL horizon\seq\gui /q

DEL horizon\env /q
DEL horizon\env\gui /q

DEL brine /q

DEL rock /q
DEL rock\gui /q
DEL rock\io /q

DEL rock\sedimentary /q

DEL rock\fossil /q

DEL rock\color /q

DEL rock\phi /q

DEL mask /q

DEL parse /q

DEL pfeffer /q
DEL pfeffer\math /q

DEL iqstrat /q
DEL iqstrat\gui /q
DEL iqstrat\io /q

DEL ss /q

DEL quake /q
DEL quake\gui /q
DEL quake\io /q
DEL quake\math /q

DEL util /q
DEL xml /q

RMDIR cmn
RMDIR gui
RMDIR math

RMDIR kgs\gui
RMDIR kgs\io
RMDIR kgs

RMDIR las\gui
RMDIR las

RMDIR las3\gui
RMDIR las3\io
RMDIR las3

RMDIR dst

RMDIR event\gui
RMDIR event\io
RMDIR event\math
RMDIR event

RMDIR lith\math

RMDIR lith\texture

RMDIR lith\lithology\io
RMDIR lith\lithology

RMDIR lith\rock

RMDIR lith

RMDIR horizon\bio

RMDIR horizon\regions\io
RMDIR horizon\regions

RMDIR horizon\strat\gui
RMDIR horizon\strat\plot
RMDIR horizon\strat\io
RMDIR horizon\strat

RMDIR horizon\seq\gui
RMDIR horizon\seq

RMDIR horizon\env\gui
RMDIR horizon\env

RMDIR horizon\gui
RMDIR horizon\io
RMDIR horizon

RMDIR brine

RMDIR rock\gui
RMDIR rock\io

RMDIR rock\sedimentary

RMDIR rock\fossil

RMDIR rock\color

RMDIR rock\phi
RMDIR rock

RMDIR mask

RMDIR parse

RMDIR pfeffer\math
RMDIR pfeffer

RMDIR iqstrat\gui
RMDIR iqstrat\io
RMDIR iqstrat

RMDIR ss

RMDIR quake\gui
RMDIR quake\io
RMDIR quake\math
RMDIR quake

RMDIR util
RMDIR xml

DEL *.class
