/*
 * @cmnLASFileListStruct.java Version 1.1 02/25/2004
 *
 * Copyright (c) 2004 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package cmn;

import cmn.cmnLASFileStruct;

/** Class cmnLASFileListStruct
 *  <p> This class will holds a List of LAS Filename and location List
 *      Data Structures.
 *
 *  @version 1.1 02/25/2004
 *  @author  John R. Victorine
 */

public class cmnLASFileListStruct
{
  public int              iCount   = 0;    // Total number of LAS Files for Well
  public cmnLASFileStruct stItem[] = null; // Array of LAS File Data Structures

  /** Method delete()
   * <p> This method will set the string variable to null and initialize all the
   *     other variables.
   */

  public void delete()
  {
    if (iCount > 0)
    {
      for (int i=0; i<iCount; i++)
      {
        if (stItem[i] != null)
          stItem[i].delete();
      }
    }

    iCount = 0;
    stItem = null;
  }
}
