/*
 * @seqStruct.java Version 1.0 06/04/2008
 *
 * Copyright (c) 2008 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package horizon.seq;

/** CLASS seqStruct
 *  <p> This Structure holds the Regions Data.
 *
 *  @version 1.1 06/04/2008
 *  @author  John R. Victorine
 */

public class seqStruct
{
  // Unique Key for Record

  public String sKEY       = "0";

  // Depth Range

  public double depthStart = 0.0;
  public double depthEnd   = 0.0;

  // Sequence selected for the depth range

  public String sMnemonic  = "";
  public String sequence   = "";
  public String abbrev     = "";

  /** Method delete()
   * <p> This method will force set the Objects to null and force Java to
   *     free unwanted memory
   */

  public void delete()
  {
    // Unique Key for Record

    sKEY       = null;

    // Sequence selected for the depth range

    sMnemonic  = null;
    sequence   = null;
    abbrev     = null;
  }
}
