/*
 * @kgsIOKID.java Version 1.0 06/16/2015
 *
 * Copyright (c) 2007 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package kgs.io;

import java.io.*;
import java.awt.*;
import javax.swing.*;

import kgs.io.ReadKIDXMLFile;

/** Class kgsIOKID
 *  <p> This class will request a new KID from the KGS Database and return
 *      a new unique primary key.
 *
 *  @version 1.1 06/16/2015
 *  @author  John R. Victorine
 */

public class kgsIOKID
{
  /** Method getKID()
   * <p> This method will make a request for a new KID from the KGS Database.
   *     A ORACLE Stored procedure will retrieve a new KID and pass back a
   *     XML stream with a unique primary key.
   *
   *       <?xml version="1.0"?>
   *       <!DOCTYPE db_key [
   *       <!ELEMENT db_key (data*)>
   *       <!ELEMENT data  EMPTY>
   *       <!ATTLIST data  key   CDATA #IMPLIED>]>
   *       <db_key>
   *         <data key="1045035998"/>
   *       </db_key>
   *
   * @return sKID = Unique primary KEY from the KGS Database.
   */

  public static String getKID()
  {
    ReadKIDXMLFile pKID = new ReadKIDXMLFile(kgs.io.ReadKIDXMLFile.URL);
    String         sKID = pKID.Process(cmn.cmnStruct.GET_KID);

    return (sKID);
  }
}

/*
 *  @version 1.1 06/16/2015
 *  @author  John Victorine
 */
